Extending Qt Creator Manual | ProjectTree

Extending Qt Creator Manual 4.4.0

# ProjectTree Class

(ProjectExplorer::ProjectTree)

- List of all members, including inherited members

## Public Functions

| ProjectTree(QObject *parent = nullptr)
| ~ProjectTree()
void | collapseAll()

## Signals

void | aboutToShowContextMenu(ProjectExplorer::Project *project, ProjectExplorer::Node *node)
void | currentNodeChanged()
void | currentProjectChanged(ProjectExplorer::Project *project)
void | subtreeChanged(ProjectExplorer::FolderNode *node)
void | treeChanged()

## Static Public Members

void | aboutToShutDown()
void | applyTreeManager(FolderNode *folder)
Node * | currentNode()
Project * | currentProject()
void | emitSubtreeChanged(FolderNode *node)
bool | hasNode(const Node *node)
void | highlightProject(Project *project, const QString &message)
ProjectTree * | instance()
void | nodeChanged(Internal::ProjectTreeWidget *widget)
void | registerTreeManager(const TreeManagerFunction &treeChange)
void | registerWidget(Internal::ProjectTreeWidget *widget)
void | showContextMenu(Internal::ProjectTreeWidget *focus, const QPoint &globalPos, Node *node)
void | unregisterWidget(Internal::ProjectTreeWidget *widget)

## Member Function Documentation

### ProjectTree::ProjectTree(QObject *parent = nullptr)

Default constructs an instance of ProjectTree.

### ProjectTree::~ProjectTree()

Destroys the instance of ProjectTree.

### `[signal]` void ProjectTree::aboutToShowContextMenu(ProjectExplorer::Project *project, ProjectExplorer::Node *node)

### `[static]` void ProjectTree::aboutToShutDown()

### `[static]` void ProjectTree::applyTreeManager(FolderNode *folder)

### void ProjectTree::collapseAll()

### `[static]` Node *ProjectTree::currentNode()

### `[signal]` void ProjectTree::currentNodeChanged()

### `[static]` Project *ProjectTree::currentProject()

### `[signal]` void ProjectTree::currentProjectChanged(ProjectExplorer::Project *project)

### `[static]` void ProjectTree::emitSubtreeChanged(FolderNode *node)

### `[static]` bool ProjectTree::hasNode(const Node *node)

### `[static]` void ProjectTree::highlightProject(Project *project, const QString &message)

### `[static]` ProjectTree *ProjectTree::instance()

### `[static]` void ProjectTree::nodeChanged(Internal::ProjectTreeWidget *widget)

### `[static]` void ProjectTree::registerTreeManager(const TreeManagerFunction &treeChange)

### `[static]` void ProjectTree::registerWidget(Internal::ProjectTreeWidget *widget)

### `[static]` void ProjectTree::showContextMenu(Internal::ProjectTreeWidget *focus, const QPoint &globalPos, Node *node)

### `[signal]` void ProjectTree::subtreeChanged(ProjectExplorer::FolderNode *node)

### `[signal]` void ProjectTree::treeChanged()

### `[static]` void ProjectTree::unregisterWidget(Internal::ProjectTreeWidget *widget)